Usage Metrics API - Organizations

Programmatic access to usage metrics across an organization

The Usage API (released with 5.18.0) provides programmatic access to usage metrics across an organization. It complements existing enterprise reporting options—UI-based usage reports and CSV exports—by enabling integration into internal dashboards and tools via API.

The Usage API is available to all Enterprise customers on both Enterprise SaaS (console.tabnine.com) and Private Installations.

The APIs return JSON with parameter details and example responses.

List of Implemented APIs

APIs return JSON with parameter details and example responses:

Organization-Level Info APIs and Usage APIs

  1. GET current organization ID and high-level settings

  2. GET list of teams for given organization

  3. GET license info

  4. GET account utilization info

  5. GET account permissions info

  6. GET organization-level usage

Organization

Get Current Org ID (and High-Level Settings)

Get current organization ID and high-level settings

GET
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

Successful response with organization structure.

application/json
publicKeystringOptional

Public key in PEM format.

samlEnabledbooleanOptional
smtpConfiguredbooleanOptional
usernamePasswordEnabledbooleanOptional
namestringRequired
domainsstring[]Optional
planTypestringOptional
idstringRequired
GET
/api/v1/organization

Get List of Teams

Get list of teams for the given organization

GET
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
offsetintegerOptional

Skips a number of items before starting to return results.

Default: 0
limitintegerOptional

Maximum number of items to return.

Default: 0
Responses
chevron-right
200

Successful response with list of teams.

application/json
GET
/api/v1/organization/teams

Get Account Utilization Info

Get account utilization info (monthly)

GET
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
startDatestringOptional

Start date for showing utilization (YYYY-MM). Default: last 12 months.

Example: 2025-01Pattern: ^\d{4}-\d{2}$
Responses
chevron-right
200

Successful response with monthly utilization array.

application/json
yearinteger · min: 1970Required
monthinteger · max: 11Required

Zero-based month (0=January, 11=December).

registeredintegerRequired
deactivatedintegerRequired
activeintegerRequired
pendingintegerRequired
GET
/api/v1/organization/account-utilizations

Get Organization-Level Usage

Get organization-level usage

GET
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
organizationIdstringRequired

The unique identifier of the organization

fromstring · date-timeRequired

Filter usage data from this date (ISO 8601).

tostring · date-timeRequired

Filter usage data until this date (ISO 8601).

granularitystring · enumRequired

Time resolution at which usage data is aggregated and returned.

Possible values:
Responses
chevron-right
200

Successful response with organization usage data.

application/json
organizationIdstringRequired
fromstring · date-timeRequired
tostring · date-timeRequired
GET
/api/v1/organization/usage

Get Users Not Assigned to Teams

Get users who are not assigned to a team

GET
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
offsetintegerRequired

Skips a number of items before starting to return results.

limitintegerRequired

Maximum number of items to return.

teamMemberbooleanRequired

Use false for users not assigned to a team.

Example: false
activebooleanRequired

Use true for registered users (false for deactivated users).

Example: true
Responses
chevron-right
200

Successful response with users.

application/json
GET
/api/v1/organization/users

Last updated

Was this helpful?